// Copyright 2021 KoroLion (https://github.com/KoroLion)

extern "C" {
  void lm35_init(unsigned char port);
  unsigned char lm35_read();

  void led_init();
  void led_enable();
  void led_disable();
}

const unsigned char LED_TEMP = 30;

int main() {
  lm35_init(17);
  led_init();

  while (true) {
    unsigned char t = lm35_read();
    if (t >= LED_TEMP) {
      led_enable();
    } else {
      led_disable();
    }
  }

  return 0;
}
